Subject: Re: bug#27042: test-package.sh fails on aarch64

From: Efraim Flashner <[email-masked]>
Date: Sat, 1 Jul 2017 22:42:53 +0300

On Fri, Jun 30, 2017 at 11:45:10AM +0200, Ludovic Courtès wrote:
> Efraim Flashner <[email-masked]> skribis:
> 
> > On Thu, Jun 29, 2017 at 09:22:59PM +0200, Ludovic Courtès wrote:
> >> Efraim Flashner <[email-masked]> skribis:
> >> 
> >> > On Thu, Jun 22, 2017 at 11:06:45PM +0200, Ludovic Courtès wrote:
> >> >> Efraim Flashner <[email-masked]> skribis:
> >> >> 
> >> >> > On aarch64 the test 'test-package.sh' fails due to 'offload: command not
> >> >> > found'
> >> >> 
> >> >> I think you mentioned on IRC that the problem vanished, right?
> >> >> 
> >> >> Ludo’.
> >> >
> >> > The test still fails when run separately, but running `guix pull` on aarch64
> >> > and `guix build guix` both work.
> >> 
> >> But really, I think “offload: command not found” is a setup issue and is
> >> not related to aarch64 specifically.  That it works in ‘guix build guix’
> >> tends to confirm my hypothesis.  :-)
> >> 
> >> Could you check the value of HAVE_DAEMON_OFFLOAD_HOOK in the
> >
> > #define HAVE_DAEMON_OFFLOAD_HOOK 1
> >
> >> ‘configure’-generated files, and also that of
> >> ‘guix_cv_have_recent_guile_ssh’ and ‘ac_cv_guix_cbips_support_setvbuf’
> >
> > guix_cv_have_recent_guile_ssh=yes
> > ac_cv_guix_cbips_support_setvbuf=yes
> 
> And what does “./pre-inst-env guix offload” say?
> 

guix: offload: command not found

I get that from my aarch64 box and my x86_64 laptop though

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted